aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMasaya Tojo <masaya@tojo.tokyo>2021-08-01 18:21:34 +0900
committerMasaya Tojo <masaya@tojo.tokyo>2021-08-01 18:21:34 +0900
commitf50ab5f83bce99a12da9a8f6ba6b19afdd759958 (patch)
treea51f63da8d39a604ee44aff2b7d2bde21ea77347
parent3fea179afe11ec4476cd7c043264c049f67a8640 (diff)
Add deploy-www-tojo-tokyo job.
-rwxr-xr-xjobs/deploy-test-tojo-tokyo.run6
-rwxr-xr-xjobs/deploy-www-tojo-tokyo.run5
2 files changed, 11 insertions, 0 deletions
diff --git a/jobs/deploy-test-tojo-tokyo.run b/jobs/deploy-test-tojo-tokyo.run
new file mode 100755
index 0000000..670c637
--- /dev/null
+++ b/jobs/deploy-test-tojo-tokyo.run
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+git clone https://git.tojo.tokyo:www-tojo-tokyo.git .
+git checkout "develop"
+git environment --container --pure -l guix.scm -- make deploy-test
diff --git a/jobs/deploy-www-tojo-tokyo.run b/jobs/deploy-www-tojo-tokyo.run
new file mode 100755
index 0000000..d7bec8c
--- /dev/null
+++ b/jobs/deploy-www-tojo-tokyo.run
@@ -0,0 +1,5 @@
+#!/usr/bin/env bash
+set -euo pipefail
+
+git clone https://git.tojo.tokyo:www-tojo-tokyo.git .
+git environment --container --pure -l guix.scm -- make deploy